Create an offer

​

Creates a new offer and returns the created object.

Body·OfferCreateRequest

required
application/json

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/offer
curl https://sandbox.billogram.com/api/v2/offer \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "offer_id": "banner001",
  "type": "banner",
  "title": "Summer sale!",
  "text": "30% on everything at Mike'\''s Bike until September.",
  "info_link": "http://example.com/",
  "media": {
    "picture": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==",
    "picture_type": "image/png"
  }
}'
{
  "status": "OK",
  "data": {
    "offer_id": "banner001",
    "type": "banner",
    "title": "string",
    "text": "string",
    "media": {
      "picture": "string",
      "picture_type": "image/png"
    },
    "link_text": "string",
    "created_at": "2026-10-13T14:05:09.731Z",
    "updated_at": "2026-10-13T14:05:09.731Z",
    "info_link": "string"
  }
}